SuperSonicBeanDeserializer (Jackson module: Afterburner 2.14.0 API)

com.fasterxml.jackson.module.afterburner.deser

## Class SuperSonicBeanDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<Object>
    - - com.fasterxml.jackson.databind.deser.BeanDeserializerBase
      - - com.fasterxml.jackson.databind.deser.BeanDeserializer
        - - com.fasterxml.jackson.module.afterburner.deser.SuperSonicBeanDeserializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.deser.ContextualDeserializer, com.fasterxml.jackson.databind.deser.NullValueProvider, com.fasterxml.jackson.databind.deser.ResolvableDeserializer, com.fasterxml.jackson.databind.deser.ValueInstantiator.Gettable, Serializable

      public final class SuperSonicBeanDeserializer
      extends com.fasterxml.jackson.databind.deser.BeanDeserializer

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.deser.SettableBeanProperty[]` | `_orderedProperties` Properties matching names in `_orderedPropertyNames`, assigned after resolution when property instances are finalized.
    `protected com.fasterxml.jackson.core.io.SerializedString[]` | `_orderedPropertyNames` Names of properties being deserialized, in ordered they are expected to have been written (as per serialization settings); used for speculative order-based optimizations

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializer

      `_nullFromCreator`

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerBase

      `_anySetter, _arrayDelegateDeserializer, _backRefs, _beanProperties, _beanType, _delegateDeserializer, _externalTypeIdHandler, _ignorableProps, _ignoreAllUnknown, _includableProps, _injectables, _needViewProcesing, _nonStandardCreation, _objectIdReader, _propertyBasedCreator, _serializationShape, _subDeserializers, _unwrappedPropertyHandler, _valueInstantiator, _vanillaProcessing, TEMP_PROPERTY_NAME`

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_valueClass, _valueType, F_MASK_ACCEPT_ARRAYS, F_MASK_INT_COERCIONS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `SuperSonicBeanDeserializer(com.fasterxml.jackson.databind.deser.BeanDeserializer src, List<com.fasterxml.jackson.databind.deser.SettableBeanProperty> props)`
    `protected` | `SuperSonicBeanDeserializer(SuperSonicBeanDeserializer src, com.fasterxml.jackson.databind.util.NameTransformer unwrapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `Object` | `deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt, Object bean)`
    `Object` | `deserializeFromObject(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `void` | `resolve(com.fasterxml.jackson.databind.DeserializationContext ctxt)` This method is overridden as we need to know expected order of properties.
    `com.fasterxml.jackson.databind.JsonDeserializer<Object>` | `unwrappingDeserializer(com.fasterxml.jackson.databind.util.NameTransformer unwrapper)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializer

      `_creatorReturnedNullException, _deserializeFromArray, _deserializeOther, _deserializeUsingPropertyBased, _deserializeWithErrorWrapping, _deserializeWithExternalTypeId, _missingToken, asArrayDeserializer, deserializeFromNull, deserializeUsingPropertyBasedWithExternalTypeId, deserializeUsingPropertyBasedWithUnwrapped, deserializeWithExternalTypeId, deserializeWithExternalTypeId, deserializeWithUnwrapped, deserializeWithUnwrapped, deserializeWithView, withBeanProperties, withByNameInclusion, withIgnoreAllUnknown, withObjectIdReader`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerBase

      `_convertObjectId, _delegateDeserializer, _findPropertyUnwrapper, _findSubclassDeserializer, _handleByNameInclusion, _handleTypedObjectId, _replaceProperty, _resolvedObjectIdProperty, _resolveInnerClassValuedProperty, _resolveManagedReferenceProperty, _resolveMergeAndNullSettings, createContextual, creatorProperties, deserializeFromArray, deserializeFromBoolean, deserializeFromDouble, deserializeFromEmbedded, deserializeFromNumber, deserializeFromObjectId, deserializeFromObjectUsingNonDefault, deserializeFromString, deserializeWithObjectId, deserializeWithType, findBackReference, findConvertingDeserializer, findProperty, findProperty, findProperty, getBeanClass, getEmptyAccessPattern, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getObjectIdReader, getPropertyCount, getValueInstantiator, getValueType, handledType, handleIgnoredProperty, handlePolymorphic, handleUnknownProperties, handleUnknownProperty, handleUnknownVanilla, hasProperty, hasViews, injectValues, isCachable, isCaseInsensitive, logicalType, properties, replaceProperty, supportsUpdate, withIgnorableProperties, wrapAndThrow, wrapInstantiationProblem`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_byteOverflow, _checkBooleanToStringCoercion, _checkCoercionFail, _checkDoubleSpecialValue, _checkFloatSpecialValue, _checkFloatToIntCoercion, _checkFloatToStringCoercion, _checkFromStringCoercion, _checkFromStringCoercion, _checkIntToFloatCoercion, _checkIntToStringCoercion, _checkTextualNull, _checkToStringCoercion, _coerceBooleanFromInt, _coercedTypeDesc, _coerceEmptyString, _coerceIntegral, _coerceNullToken, _coerceTextualNull, _deserializeFromEmpty, _deserializeFromEmptyString, _deserializeFromString, _deserializeWrappedValue, _failDoubleToIntCoercion, _findCoercionFromBlankString, _findCoercionFromEmptyArray, _findCoercionFromEmptyString, _findNullProvider, _hasTextualNull, _intOverflow, _isBlank, _isEmptyOrTextualNull, _isFalse, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _isTrue, _neitherNull, _nonNullNumber, _parseBoolean, _parseBooleanFromInt, _parseBooleanPrimitive, _parseBooleanPrimitive, _parseBytePrimitive, _parseDate, _parseDate, _parseDateFromArray, _parseDouble, _parseDouble, _parseDoublePrimitive, _parseDoublePrimitive, _parseDoublePrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseInteger, _parseInteger, _parseIntPrimitive, _parseIntPrimitive, _parseLong, _parseLong, _parseLongPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _parseString, _reportFailedNullCoerce, _shortOverflow, _verifyEndArrayForSingle, _verifyNullForPrimitive, _verifyNullForPrimitiveCoercion, _verifyNullForScalarCoercion, _verifyNumberForScalarCoercion, _verifyStringForScalarCoercion, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueType, handleMissingEndArrayForSingle, handleNestedArrayForSingle, isDefaultDeserializer, isDefaultKeyDeserializer`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserializeWithType, getAbsentValue, getDelegatee, getEmptyValue, getNullValue, getNullValue, replaceDelegatee`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _orderedPropertyNames

          protected final com.fasterxml.jackson.core.io.SerializedString[] _orderedPropertyNames

      Names of properties being deserialized, in ordered they are expected to have been written (as per serialization settings); used for speculative order-based optimizations

    - #### _orderedProperties

          protected com.fasterxml.jackson.databind.deser.SettableBeanProperty[] _orderedProperties

      Properties matching names in `_orderedPropertyNames`, assigned after resolution when property instances are finalized.

  - ### Constructor Detail

    - #### SuperSonicBeanDeserializer

          public SuperSonicBeanDeserializer(com.fasterxml.jackson.databind.deser.BeanDeserializer src,
                                            List<com.fasterxml.jackson.databind.deser.SettableBeanProperty> props)

    - #### SuperSonicBeanDeserializer

          protected SuperSonicBeanDeserializer(SuperSonicBeanDeserializer src,
                                               com.fasterxml.jackson.databind.util.NameTransformer unwrapper)

  - ### Method Detail

    - #### unwrappingDeserializer

          public com.fasterxml.jackson.databind.JsonDeserializer<Object> unwrappingDeserializer(com.fasterxml.jackson.databind.util.NameTransformer unwrapper)

      Overrides:
        `unwrappingDeserializer` in class `com.fasterxml.jackson.databind.deser.BeanDeserializer`

    - #### resolve

          public void resolve(com.fasterxml.jackson.databind.DeserializationContext ctxt)
                       throws com.fasterxml.jackson.databind.JsonMappingException

      This method is overridden as we need to know expected order of properties.
      Specified by:
        `resolve` in interface `com.fasterxml.jackson.databind.deser.ResolvableDeserializer`
      Overrides:
        `resolve` in class `com.fasterxml.jackson.databind.deser.BeanDeserializerBase`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### deserialize

          public Object deserialize(com.fasterxml.jackson.core.JsonParser p,
                                    com.fasterxml.jackson.databind.DeserializationContext ctxt)
                             throws IOException

      Overrides:
        `deserialize` in class `com.fasterxml.jackson.databind.deser.BeanDeserializer`
      Throws:
        `IOException`

    - #### deserialize

          public final Object deserialize(com.fasterxml.jackson.core.JsonParser p,
                                          com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                          Object bean)
                                   throws IOException

      Overrides:
        `deserialize` in class `com.fasterxml.jackson.databind.deser.BeanDeserializer`
      Throws:
        `IOException`

    - #### deserializeFromObject

          public final Object deserializeFromObject(com.fasterxml.jackson.core.JsonParser p,
                                                    com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                             throws IOException

      Overrides:
        `deserializeFromObject` in class `com.fasterxml.jackson.databind.deser.BeanDeserializer`
      Throws:
        `IOException`

Copyright © 2022 FasterXML. All rights reserved.